SystemOrganization addCategory: #'Seaside-Tests-RenderLoop'!

!WAPackage class methodsFor: '*seaside-tests-renderloop' stamp: 'lr 10/23/2008 21:35'!
seasideTestsRenderLoop
	^ self new
		name: 'Seaside-Tests-RenderLoop';
		description: 'Unit tests for the package Seaside-RenderLoop.';
		addDependency: 'Seaside-RenderLoop';
		addDependency: 'Seaside-Tests-Session';
		yourself! !

TestCase subclass: #WABug0073Test
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'Seaside-Tests-RenderLoop'!

!WABug0073Test commentStamp: 'pmm 5/31/2008 10:40' prior: 0!
http://code.google.com/p/seaside/issues/detail?id=73!

!WABug0073Test methodsFor: 'testing' stamp: 'pmm 5/31/2008 10:42'!
testNoRootComponent
	| application |
	application := WAApplication new.
	self assert: '' = application description! !

!WABug0073Test methodsFor: 'testing' stamp: 'jf 10/6/2008 13:30'!
testWithRootComponent
	| application |
	application := WAApplication new.
	application configuration addParent: WARenderLoopConfiguration instance.
	application preferenceAt: #rootClass put: WAComponent.
	self assert: WAComponent description = application description! !
